Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Petri
Class ActivePetriStructure

    java.lang.Object
      SEdit.Structure
          SEdit.Formalisms.Petri.PetriStructure
              SEdit.Formalisms.Petri.ActivePetriStructure

All Implemented Interfaces:
  ActiveStructure, PetriScheduler

    public class ActivePetriStructure

extends PetriStructure
implements ActiveStructure

CLASSE ActivePetriStructure

Field Summary

Fields inherited from class SEdit.Formalisms.Petri.PetriStructure
`activatedList, scheme`

Fields inherited from class SEdit.Structure
`agent, arrowList, description, displayGrid, editor, formalism, gridSize, modified, nodeList, snapToGrid`

Constructor Summary
`ActivePetriStructure()`

Method Summary
`PetriInPort` | `getInPort(java.lang.String s)`
`java.util.Vector` | `getInPorts()`
`void` | `handleMessage(Message m)`

Methods inherited from class SEdit.Formalisms.Petri.PetriStructure
`addActivated, getActivated, getSchemeModule, initStructure, removeActivated, step`

Methods inherited from class SEdit.Structure
`activate, addArrow, addArrow, addNode, addNode, clearAll, createNode, deleteAll, drawBackground, dump, end, existID, getAgent, getArrow, getArrowFromLabel, getArrows, getDescription, getDisplayGrid, getEditor, getFormalism, getGridSize, getNode, getNodeFromLabel, getNodes, getSnapToGrid, isConnectable, newArrowID, newNodeID, preactivate, removeArrow, removeNode, setAgent, setDescription, setDisplayGrid, setEditor, setFormalism, setGridSize, setSnapToGrid, setSnapToGrid1, toggleShowGrid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActivePetriStructure

    public ActivePetriStructure()

Method Detail

### getInPorts

    public java.util.Vector getInPorts()

### getInPort

    public PetriInPort getInPort(java.lang.String s)

### handleMessage

    public void handleMessage(Message m)

  Specified by:
    `handleMessage` in interface `ActiveStructure`
  Overrides:
    `handleMessage` in class `PetriStructure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.